Bug 560894 - Review Request: perl-Pod-Coverage-TrustPod - Allow a module's pod to contain Pod::Coverage hints
Summary: Review Request: perl-Pod-Coverage-TrustPod - Allow a module's pod to contain ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Pod-Cover...
Whiteboard:
Depends On: perl-Pod-Eventual
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-02 05:40 UTC by Iain Arnell
Modified: 2011-04-20 17:26 UTC (History)
3 users (show)

Fixed In Version: perl-Pod-Coverage-TrustPod-0.092830-4.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-02 01:03:04 UTC
cweyl: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-02-02 05:40:26 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Pod-Coverage-TrustPod.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Pod-Coverage-TrustPod-0.092830-1.fc13.src.rpm

Description:
This is a Pod::Coverage subclass (actually, a subclass of
Pod::Coverage::CountParents) that allows the POD itself to declare certain
symbol names trusted.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1958160

*rt-0.10

Comment 1 Paul Howarth 2010-02-03 12:11:32 UTC
You need to add:

Requires: perl(Pod::Coverage::CountParents)

(there's a "use base" clause pulling this in)

Comment 3 Chris Weyl 2010-02-06 18:08:14 UTC
Hmm, I'm seeing a 404 error on the -2 srpm and the spec is still at -1.

Comment 4 Iain Arnell 2010-02-09 08:30:16 UTC
Sorry 'bout that - new spec and srpm are now definitely uploaded.

Comment 5 Chris Weyl 2010-02-13 19:55:56 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=1984102

Comment 6 Chris Weyl 2010-02-13 20:02:27 UTC
These aren't blockers, but:

Replacing PERL_INSTALL_ROOT with DESTDIR would seem to be a good idea, given
the recent fun along those lines :)  

Think about including %{?perl_default_filter} by default, even if just pro
forma.  It won't hurt anything and might save some pain down the line.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1984102

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
547ec7392d1082beabfd818cb143f247ee1c7954 Pod-Coverage-TrustPod-0.092830.tar.gz
547ec7392d1082beabfd818cb143f247ee1c7954 Pod-Coverage-TrustPod-0.092830.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Pod-Coverage-TrustPod-0.092830-2.fc13.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Pod-Coverage-TrustPod-0.092830-2.fc13.noarch.rpm
perl(Pod::Coverage::TrustPod) = 0.092830
perl-Pod-Coverage-TrustPod = 0.092830-2.fc13
====> requires for perl-Pod-Coverage-TrustPod-0.092830-2.fc13.noarch.rpm
perl(base)  
perl(:MODULE_COMPAT_5.10.1)  
perl(Pod::Coverage::CountParents)  
perl(Pod::Eventual::Simple)  
perl(Pod::Find)  
perl(strict)  
perl(warnings)  

=====> perl-Pod-Coverage-TrustPod-0.092830-2.fc13.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Pod-Coverage-TrustPod-0.092830-2.fc13.src.rpm
====> requires for perl-Pod-Coverage-TrustPod-0.092830-2.fc13.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Pod::Coverage)  
perl(Pod::Eventual::Simple)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

APPROVED

Comment 7 Iain Arnell 2010-02-14 08:46:57 UTC
Both good points, Chris. Will do.

New Package CVS Request
=======================
Package Name: perl-Pod-Coverage-TrustPod
Short Description: Allow a module's pod to contain Pod::Coverage hints
Owners: iarnell
Branches: F-11 F-12
InitialCC: perl-sig

Comment 8 Kevin Fenzi 2010-02-16 03:50:18 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Iain Arnell 2010-02-16 04:15:54 UTC
built in rawhide; waiting for perl-Pod-Eventual on branches.

Comment 10 Fedora Update System 2010-02-19 04:10:28 UTC
perl-Pod-Coverage-TrustPod-0.092830-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Pod-Coverage-TrustPod-0.092830-3.fc12

Comment 11 Fedora Update System 2010-02-19 04:10:32 UTC
perl-Pod-Coverage-TrustPod-0.092830-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Pod-Coverage-TrustPod-0.092830-3.fc11

Comment 12 Fedora Update System 2010-02-20 00:08:10 UTC
perl-Pod-Coverage-TrustPod-0.092830-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Pod-Coverage-TrustPod'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1800

Comment 13 Fedora Update System 2010-02-20 00:27:45 UTC
perl-Pod-Coverage-TrustPod-0.092830-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Pod-Coverage-TrustPod'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1409

Comment 14 Fedora Update System 2010-03-02 01:02:59 UTC
perl-Pod-Coverage-TrustPod-0.092830-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-03-02 01:10:33 UTC
perl-Pod-Coverage-TrustPod-0.092830-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Paul Howarth 2010-11-17 16:08:56 UTC
Iain, I'd like to see EPEL (4,5,6) branches for this; if you're not interested I'm happy to maintain them myself.

Comment 17 Iain Arnell 2010-11-17 16:46:00 UTC
I'm more than happy with EL-5 and 6, but there's a whole chain of deps missing in EL-4 (Mixin::Linewise -> Sub::Exporter -> Params::Util, Data::OptList, ...).

Comment 18 Iain Arnell 2010-11-17 16:46:38 UTC
Package Change Request
======================
Package Name: perl-Pod-Coverage-TrustPod
New Branches: el5 el6
Owners: iarnell
InitialCC: perl-sig

Comment 19 Jason Tibbitts 2010-11-18 16:35:05 UTC
Git done (by process-git-requests).

Comment 20 Iain Arnell 2010-11-19 05:20:48 UTC
perl-Pod-Coverage-TrustPod is built for el6. http://koji.fedoraproject.org/koji/buildinfo?buildID=205547

el5 is waiting on perl-Pod-Eventual.

Comment 21 Fedora Update System 2010-12-05 20:13:48 UTC
perl-Pod-Coverage-TrustPod-0.092830-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Pod-Coverage-TrustPod-0.092830-4.el5

Comment 22 Fedora Update System 2010-12-21 17:33:15 UTC
perl-Pod-Coverage-TrustPod-0.092830-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Paul Howarth 2011-03-16 21:09:48 UTC
(In reply to comment #17)
> I'm more than happy with EL-5 and 6, but there's a whole chain of deps missing
> in EL-4 (Mixin::Linewise -> Sub::Exporter -> Params::Util, Data::OptList, ...).

Once Pod::Eventual is pushed to stable, all of these dependencies will be available in EPEL-4, so can we have an EPEL-4 branch now please?

Comment 24 Iain Arnell 2011-03-17 04:09:49 UTC
Package Change Request
======================
Package Name: perl-Pod-Coverage-TrustPod
New Branches: el4
Owners: iarnell
InitialCC: perl-sig

Comment 25 Jason Tibbitts 2011-03-17 14:12:03 UTC
Git done (by process-git-requests).

Comment 26 Fedora Update System 2011-04-02 06:09:05 UTC
perl-Pod-Coverage-TrustPod-0.092830-4.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Pod-Coverage-TrustPod-0.092830-4.el4

Comment 27 Fedora Update System 2011-04-20 17:26:53 UTC
perl-Pod-Coverage-TrustPod-0.092830-4.el4 has been pushed to the Fedora EPEL 4 stable repository.


Note You need to log in before you can comment on or make changes to this bug.